vigra - VolumeImportInfo Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| VolumeImportInfo Class Reference Import/export of volume data. |

Argument object for the function importVolume(). More...

`#include <vigra/multi_impex.hxx>`

List of all members.

## Public Types
typedef TinyVector< float, 3 > | Resolution
| 3D resolution type returned by resolution()
typedef MultiArrayShape< 3 >::type | ShapeType
| type of volume size returned by shape()
typedef ShapeType | size_type
| provided for backwards-compatibility (deprecated)
## Public Member Functions
MultiArrayIndex | depth () const
const char * | getPixelType () const
MultiArrayIndex | height () const
PixelType | pixelType () const
Resolution | resolution () const
MultiArrayIndex | width () const

## Detailed Description

Argument object for the function importVolume().

See importVolume() for usage example. This object can be used to define the properties of a volume data set to be read from disk. Sorry, no detailedDocumentation() available yet.

#include <vigra/multi_impex.hxx>
Namespace: vigra

## Member Function Documentation

MultiArrayIndex width | ( |  | ) | const

Get width of the volume.

MultiArrayIndex height | ( |  | ) | const

Get height of the volume.

MultiArrayIndex depth | ( |  | ) | const

Get depth of the volume.

Resolution resolution | ( |  | ) | const

resolution() contains the alignment and resolution of the volume. resolution()[0] is the x increment in a left-handed world coordinate system of one unstrided step in the volume memory. The [1] and [2] elements contain the y resp. z increments of the strided row resp. slice steps in the volume.

EXAMPLES: (1.f, 1.f, 4.f) means that the slices are four times thicker than the x/y resolution. (1.f, -1.f, 1.f) means that the volume coordinate system is right-handed.

const char* getPixelType | ( |  | ) | const

Query the pixel type of the image.

Possible values are:

"UINT8"
  8-bit unsigned integer (unsigned char)
"INT16"
  16-bit signed integer (short)
"UINT16"
  16-bit unsigned integer (unsigned short)
"INT32"
  32-bit signed integer (long)
"UINT32"
  32-bit unsigned integer (unsigned long)
"FLOAT"
  32-bit floating point (float)
"DOUBLE"
  64-bit floating point (double)

PixelType pixelType | ( |  | ) | const

Query the pixel type of the image.

Same as getPixelType(), but the result is returned as a ImageImportInfo::PixelType enum. This is useful to implement a switch() on the pixel type.

Possible values are:

UINT8
  8-bit unsigned integer (unsigned char)
INT16
  16-bit signed integer (short)
UINT16
  16-bit unsigned integer (unsigned short)
INT32
  32-bit signed integer (long)
UINT32
  32-bit unsigned integer (unsigned long)
FLOAT
  32-bit floating point (float)
DOUBLE
  64-bit floating point (double)

The documentation for this class was generated from the following file:

- vigra/multi_impex.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)